D4Science Infrastructure - Task #12448
Task # 12445 (Closed): SSL Certificate for mongodb development cluster

Add a letsencrypt hook script to the mongodb-org-3.2 ansible role
Sep 10, 2018 04:10 PM - Andrea Dell'Amico

Status: Closed Start date: Sep 10, 2018
Priority: Normal Due date:
Assignee: _InfraScience Systems Engineer % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: Mongodb: enable and enforce TLS
Infrastructure: Development, Pre-Production,

Production
Description

Add a script that restarts the mongodb server when the certificate is renewed.

History

#1 - Sep 11, 2018 05:19 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#2 - Sep 11, 2018 05:42 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 0 to 100
The hook script has been added to the role.

| also added the two variables to the mongo_dev/all.yml file:

mongodb_ssl_enabled: False
mongodb_ssl_letsencrypt_managed: True

This way, the hook does not restart the mongodb servers after a certificate request.

Remember to change the first variable to True when the nodes reconfiguration will be complete and running and run the mongodb plabook with the
tag mongodb_letsencrypt, so that the servers will be restarted after every certificate renewal.

#3 - Sep 13, 2018 09:56 AM - Roberto Cirillo
- Status changed from Feedback to Closed

I've added the following variable to mongo_dev/all.yml and mongo_vol_dev/mongo_vol_dev.yml:
letsencrypt_acme_install: True

and tested it on mongo5-d-d4s.d4science.org.

Apr 30, 2025 1/1



http://www.tcpdf.org

